Bug 602264 - Job cancel hung up
Summary: Job cancel hung up
Status: CLOSED NOTABUG
Alias: None
Product: Beaker
Classification: Community
Component: scheduler   
(Show other bugs)
Version: 0.5
Hardware: All
OS: Linux
high
medium vote
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-09 13:52 UTC by Marian Csontos
Modified: 2010-06-11 01:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-11 01:57:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marian Csontos 2010-06-09 13:52:51 UTC
Description of problem:
tried to cancel a job (J:2599) through WebUI and though after rather long time cancel returned to jobs page, claiming job is cancelled and I even got the notification email, job is still in Scheduled state while all the tasks are Warn with my cancel message.

I have tried twice on the same job.

At the end it was finally Aborted.

Version-Release number of selected component (if applicable):
0.5.41

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Marian Csontos 2010-06-09 14:08:47 UTC
The thing is reproducible. At least here.
And the bkr job-cancel is a bit more helpful saying 

> xmlrpclib.ProtocolError: <ProtocolError for beaker.engineering.redhat.com/client/: 500 Internal error>

Raising priority and proposing a blocker.

Comment 3 Marian Csontos 2010-06-10 08:21:20 UTC
The problem faded away and everything works now.


Note You need to log in before you can comment on or make changes to this bug.